#Copyright Rauno Jarvinen, Mikko Sillanpaa and Mikael Matveinen 2008
from __future__ import division
import pygame
from pygame.time import Clock
from pygame.locals import *
from vector import Vector
from world import World

resolution = (800, 600)

def main():
    pygame.init()

    screen = pygame.display.set_mode(resolution)
    pygame.display.set_caption("Rayzan - King of the Strings")
    
    world = World()
    
    clock = Clock()
    while True:
        dt = clock.tick()
        
        #input
        if world.handle_input(pygame.key.get_pressed()) or pygame.event.peek(QUIT):
            break
       
        #update
        world.update(dt)
        
        pygame.display.update(world.draw(screen))
    
    pygame.quit()
        
