import pygame
from pygame.locals import *
import data

class Rope(pygame.sprite.DirtySprite):
    def __init__(self, x):
        pygame.sprite.DirtySprite.__init__(self)
        self.dirty = 1
        self.x = x
        self.tile_image, self.tile_rect = data.load_image("rope.PNG", 0)
        
        self.image = pygame.Surface((self.tile_rect.width, pygame.display.get_surface().get_width()))
        self.image.convert()
        self.draw(self.image)
        self.rect = self.image.get_rect()
        self.rect.left = self.x - self.rect.width / 2
    
    def draw(self, dest):
        self.y_point = 0
        while(self.y_point < dest.get_height()):
            dest.blit(self.tile_image, (0,self.y_point))
            self.y_point += self.tile_image.get_height()
